### Hierarchy

- OffersClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorCancelOffer
- methodDescriptorCreateOffer
- methodDescriptorGetMyOffer
- methodDescriptorGetMyOffers
- methodDescriptorGetOffer
- methodDescriptorGetOffers
- options_

### Methods

- cancelOffer
- createOffer
- getMyOffer
- getMyOffers
- getOffer
- getOffers

## Constructors

### constructor

- new OffersClient(hostname: string, credentials?: null | {}, options?: null | {}): OffersClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1699

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns OffersClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1694

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1696

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1695

### methodDescriptorCancelOffer

methodDescriptorCancelOffer: MethodDescriptor < CancelOfferRequest , CancelOfferReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1927

### methodDescriptorCreateOffer

methodDescriptorCreateOffer: MethodDescriptor < CreateOfferRequest , CreateOfferReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1884

### methodDescriptorGetMyOffer

methodDescriptorGetMyOffer: MethodDescriptor < GetMyOfferRequest , GetMyOfferReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1755

### methodDescriptorGetMyOffers

methodDescriptorGetMyOffers: MethodDescriptor < GetMyOffersRequest , GetMyOffersReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1841

### methodDescriptorGetOffer

methodDescriptorGetOffer: MethodDescriptor < GetOfferRequest , GetOfferReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1712

### methodDescriptorGetOffers

methodDescriptorGetOffers: MethodDescriptor < GetOffersRequest , GetOffersReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1798

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1697

## Methods

### cancelOffer

- cancelOffer(request: CancelOfferRequest, metadata: null | Metadata ): Promise< CancelOfferReply >
- cancelOffer(request: CancelOfferRequest, metadata: null | Metadata, callback: (err: RpcError, response: CancelOfferReply ) => void): ClientReadableStream < CancelOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1938

  #### Parameters

  - ##### request: CancelOfferRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CancelOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1942

  #### Parameters

  - ##### request: CancelOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CancelOfferReply ) => void

    - - (err: RpcError, response: CancelOfferReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CancelOfferReply

        #### Returns void

  #### Returns ClientReadableStream < CancelOfferReply >

### createOffer

- createOffer(request: CreateOfferRequest, metadata: null | Metadata ): Promise< CreateOfferReply >
- createOffer(request: CreateOfferRequest, metadata: null | Metadata, callback: (err: RpcError, response: CreateOfferReply ) => void): ClientReadableStream < CreateOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1895

  #### Parameters

  - ##### request: CreateOfferRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CreateOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1899

  #### Parameters

  - ##### request: CreateOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CreateOfferReply ) => void

    - - (err: RpcError, response: CreateOfferReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateOfferReply

        #### Returns void

  #### Returns ClientReadableStream < CreateOfferReply >

### getMyOffer

- getMyOffer(request: GetMyOfferRequest, metadata: null | Metadata ): Promise< GetMyOfferReply >
- getMyOffer(request: GetMyOfferRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetMyOfferReply ) => void): ClientReadableStream < GetMyOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1766

  #### Parameters

  - ##### request: GetMyOfferRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetMyOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1770

  #### Parameters

  - ##### request: GetMyOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetMyOfferReply ) => void

    - - (err: RpcError, response: GetMyOfferReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMyOfferReply

        #### Returns void

  #### Returns ClientReadableStream < GetMyOfferReply >

### getMyOffers

- getMyOffers(request: GetMyOffersRequest, metadata: null | Metadata ): Promise< GetMyOffersReply >
- getMyOffers(request: GetMyOffersRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetMyOffersReply ) => void): ClientReadableStream < GetMyOffersReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1852

  #### Parameters

  - ##### request: GetMyOffersRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetMyOffersReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1856

  #### Parameters

  - ##### request: GetMyOffersRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetMyOffersReply ) => void

    - - (err: RpcError, response: GetMyOffersReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMyOffersReply

        #### Returns void

  #### Returns ClientReadableStream < GetMyOffersReply >

### getOffer

- getOffer(request: GetOfferRequest, metadata: null | Metadata ): Promise< GetOfferReply >
- getOffer(request: GetOfferRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetOfferReply ) => void): ClientReadableStream < GetOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1723

  #### Parameters

  - ##### request: GetOfferRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1727

  #### Parameters

  - ##### request: GetOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetOfferReply ) => void

    - - (err: RpcError, response: GetOfferReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetOfferReply

        #### Returns void

  #### Returns ClientReadableStream < GetOfferReply >

### getOffers

- getOffers(request: GetOffersRequest, metadata: null | Metadata ): Promise< GetOffersReply >
- getOffers(request: GetOffersRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetOffersReply ) => void): ClientReadableStream < GetOffersReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1809

  #### Parameters

  - ##### request: GetOffersRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetOffersReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1813

  #### Parameters

  - ##### request: GetOffersRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetOffersReply ) => void

    - - (err: RpcError, response: GetOffersReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetOffersReply

        #### Returns void

  #### Returns ClientReadableStream < GetOffersReply >

Generated using TypeDoc